import { resolve } from 'path';
import { buildSync } from 'esbuild';
import { builtinModules } from 'module';

var _a, _b, _c;
const pkg = require(resolve("package.json"));
const external = [
  ...builtinModules,
  ...Object.keys((_a = pkg.dependencies) != null ? _a : {}),
  ...Object.keys((_b = pkg.devDependencies) != null ? _b : {}),
  ...Object.keys((_c = pkg.peerDependencies) != null ? _c : {})
];
const build = (filename) => {
  const outFiles = buildSync({
    entryPoints: [filename],
    outfile: "./dist/main.js",
    minify: false,
    bundle: true,
    write: false,
    target: "esnext",
    sourcemap: true,
    external
  });
  return outFiles.outputFiles.reduce((cur, item) => {
    const key = item.path.includes(".map") ? "map" : "code";
    cur[key] = Buffer.from(item.contents).toString();
    return cur;
  }, {});
};
var index = {
  process(content, filename) {
    return build(filename);
  }
};

export default index;
