'use strict';

var path = require('path');
var esbuild = require('esbuild');
var module$1 = require('module');

var _a, _b, _c;
const pkg = require(path.resolve("package.json"));
const external = [
  ...module$1.builtinModules,
  ...Object.keys((_a = pkg.dependencies) != null ? _a : {}),
  ...Object.keys((_b = pkg.devDependencies) != null ? _b : {}),
  ...Object.keys((_c = pkg.peerDependencies) != null ? _c : {})
];
const build = (filename) => {
  const outFiles = esbuild.buildSync({
    entryPoints: [filename],
    outfile: "./dist/main.js",
    minify: false,
    bundle: true,
    write: false,
    target: "esnext",
    sourcemap: true,
    external
  });
  return outFiles.outputFiles.reduce((cur, item) => {
    const key = item.path.includes(".map") ? "map" : "code";
    cur[key] = Buffer.from(item.contents).toString();
    return cur;
  }, {});
};
var index = {
  process(content, filename) {
    return build(filename);
  }
};

module.exports = index;
